Bug 167030 - Kernel BUG at "mm/mmap.c":2026
Kernel BUG at "mm/mmap.c":2026
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 13:18 EDT by Michael Belanger
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 16:43:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages segment containing Kernel crash (54.54 KB, text/plain)
2005-08-29 13:20 EDT, Michael Belanger
no flags Details

  None (edit)
Description Michael Belanger 2005-08-29 13:18:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
Aug 28 04:22:56 calculon kernel: sh[1289]: segfault at 0000000000000000 rip 000000310cb0b65e rsp 00007fffffcc3f40 error 4
Aug 28 04:22:58 calculon kernel: sh[1898]: segfault at 000000310cb00a10 rip 000000310cb00a10 rsp 00007fffffac4200 error 15
Aug 28 04:22:58 calculon kernel: mm/memory.c:105: bad pmd ffff810047543328(000000000000002b).
Aug 28 04:22:58 calculon kernel: ----------- [cut here ] --------- [please bite here ] ---------
Aug 28 04:22:58 calculon kernel: Kernel BUG at "mm/mmap.c":2026
Aug 28 04:22:58 calculon kernel: invalid operand: 0000 [1] SMP 
Aug 28 04:22:58 calculon kernel: CPU 2 

The rest of the log is attached.


Version-Release number of selected component (if applicable):
2.6.12-1.1398_FC4smp #1 SMP

How reproducible:
Didn't try


Additional info:
Comment 1 Michael Belanger 2005-08-29 13:20:40 EDT
Created attachment 118215 [details]
/var/log/messages segment containing Kernel crash
Comment 2 Dave Jones 2005-08-29 20:01:43 EDT
Please try the errata kernel.
Comment 3 Michael Belanger 2005-08-30 11:16:41 EDT
2.6.12-1.1447_FC4smp came available recently.. I have installed that to see if
things are more stable.
Comment 4 Dave Jones 2005-09-30 03:19:51 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 5 Dave Jones 2005-11-10 15:28:46 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 6 Michael Belanger 2005-11-10 15:35:17 EST
2.6.13-1.1526_FC4smp has been stable for me.
No signs of the original problem.

Note You need to log in before you can comment on or make changes to this bug.